
Log Reporting - Bug #7233

Log aggregation processing doesn't handle ipv6 addresses 

2015-06-25 21:27 - Peter Slaughter

Status: Closed Start date: 2015-06-25

Priority: Normal Due date:  

Assignee: Peter Slaughter % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-1.5.2   

Story Points:    

Description

The setCOUNTERfields method causes an uncaught exception when a log record with an ipv6 address is

encountered. The method should be either updated to handle ipv6 addresses or

check the address type and ignore it if it is ipv6 format. In either case, error

checking should be improved. Below is a sample traceback:

org.dataone.cn.batch.logging.type.LogEntrySolrItem.setCOUNTERfields(LogEntrySolrItem.java:364)

java.lang.IllegalArgumentException: Could not parse [2001:4898:80e0:ee43::3]

History

#1 - 2015-06-26 19:42 - Dave Vieglais

The issue is slightly more general in that in some cases the ipAddress field contains garbage. The aggregator code should gracefully fail such

records.

#2 - 2015-06-26 19:56 - Peter Slaughter

- Assignee set to Peter Slaughter

#3 - 2015-06-30 16:33 - Peter Slaughter

- Status changed from New to In Progress

- % Done changed from 0 to 30

#4 - 2015-06-30 16:34 - Peter Slaughter

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

#5 - 2015-07-09 13:13 - Peter Slaughter

- Status changed from Testing to Closed

- % Done changed from 50 to 100

Tested, verified in stage environment (cn-stage-ucsb-1)
